Employee Documents
Alle Operationen rund um Employee Documents.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Employee Document | employee_document |
11 | — | employee_document_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/employee_documents |
Create employee_document | Create a new employee_document in the active tenant. |
DELETE |
/v1/employee_documents/{id} |
Delete employee_document | Soft delete entity. |
GET |
/v1/employee_documents/{id} |
Get employee_document by id | Fetch a single employee_document. |
GET |
/v1/employee_documents/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/employee_documents/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/employee_documents/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/employee_documents |
List employee_documents | List employee_documents for the active tenant. |
PATCH |
/v1/employee_documents/{id} |
Patch employee_document | JSON Merge Patch update. |
POST |
/v1/employee_documents/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/employee_documents/{id}/transition |
POST /v1/employee_documents/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/employee_documents/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/employee_documents/{id} |
Replace employee_document | Full replace with optimistic locking. |